Package org.apache.tools.zip

# Class ZipShort

java.lang.Object
org.apache.tools.zip.ZipShort

All Implemented Interfaces:
  `java.lang.Cloneable`

    public final class ZipShort
    extends java.lang.Object
    implements java.lang.Cloneable

Utility class that represents a two byte integer with conversion rules for the big endian byte order of ZIP files.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ZipShort​(byte[] bytes)` | Create instance from bytes.
`ZipShort​(byte[] bytes, int offset)` | Create instance from the two bytes starting at offset.
`ZipShort​(int value)` | Create instance from a number.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.Object` | `clone()` |
`boolean` | `equals​(java.lang.Object o)` | Override to make two instances with same value equal.
`byte[]` | `getBytes()` | Get value as two bytes in big endian byte order.
`static byte[]` | `getBytes​(int value)` | Get value as two bytes in big endian byte order.
`int` | `getValue()` | Get value as Java int.
`static int` | `getValue​(byte[] bytes)` | Helper method to get the value as a java int from a two-byte array
`static int` | `getValue​(byte[] bytes, int offset)` | Helper method to get the value as a java int from two bytes starting at given array offset
`int` | `hashCode()` | Override to make two instances with same value equal.
`static void` | `putShort​(int value, byte[] buf, int offset)` | put the value as two bytes in big endian byte order.
`java.lang.String` | `toString()` |

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ZipShort

public ZipShort​(int value)
Create instance from a number.

Parameters:
  `value` - the int to store as a ZipShort
Since:
  1.1

### ZipShort

public ZipShort​(byte[] bytes)
Create instance from bytes.

Parameters:
  `bytes` - the bytes to store as a ZipShort
Since:
  1.1

### ZipShort

public ZipShort​(byte[] bytes, int offset)
Create instance from the two bytes starting at offset.

Parameters:
  `bytes` - the bytes to store as a ZipShort
  `offset` - the offset to start
Since:
  1.1

## Method Details

### getBytes

public byte[] getBytes()
Get value as two bytes in big endian byte order.

Returns:
  the value as a a two byte array in big endian byte order
Since:
  1.1

### putShort

public static void putShort​(int value, byte[] buf, int offset)
put the value as two bytes in big endian byte order.

Parameters:
  `value` - the Java int to convert to bytes
  `buf` - the output buffer
  `offset` - The offset within the output buffer of the first byte to be written. must be non-negative and no larger than `buf.length-2`

### getValue

public int getValue()
Get value as Java int.

Returns:
  value as a Java int
Since:
  1.1

### getBytes

public static byte[] getBytes​(int value)
Get value as two bytes in big endian byte order.

Parameters:
  `value` - the Java int to convert to bytes
Returns:
  the converted int as a byte array in big endian byte order

### getValue

public static int getValue​(byte[] bytes, int offset)
Helper method to get the value as a java int from two bytes starting at given array offset

Parameters:
  `bytes` - the array of bytes
  `offset` - the offset to start
Returns:
  the corresponding java int value

### getValue

public static int getValue​(byte[] bytes)
Helper method to get the value as a java int from a two-byte array

Parameters:
  `bytes` - the array of bytes
Returns:
  the corresponding java int value

### equals

public boolean equals​(java.lang.Object o)
Override to make two instances with same value equal.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `o` - an object to compare
Returns:
  true if the objects are equal
Since:
  1.1

### hashCode

public int hashCode()
Override to make two instances with same value equal.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the value stored in the ZipShort
Since:
  1.1

### clone

public java.lang.Object clone()

Overrides:
  `clone` in class `java.lang.Object`

### toString

public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`